--- title: "View Ranking List" slug: "analytics-cloudsearch-getrankinglist" updated: 2026-09-17T09:48:05Z published: 2026-09-17T09:48:05Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-getrankinglist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View Ranking List **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Look up all Ranking information of the corresponding Domain. ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/ranking ``` ## Request ### Request parameter | Parameter Name | Required | Type | Restrictions | Description | | --- | --- | --- | --- | --- | | name | Yes | string | | The name of the created domain | ## Response | Field Name | Type | Description | Remarks | | --- | --- | --- | --- | | defaultRanking.name | string | Ranking Name | | | defaultRanking.code | string | Ranking formula | | | list | array | list of Ranking | | | list[].name | string | Ranking Name | | | list[].modifyDate | string | Modified Date | ex: 2019-03-12 11:43:55 | ### Response Status | Http Status | Desc | | --- | --- | | 200 | OK | | 400 | Bad Request | | 401 | Unauthorized | | 401 | there is no such service | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Example ### Example Request ``` GET /CloudSearch/real/v1/domain/search_test/ranking Host: cloudsearch.apigw.ntruss.com haveContainer: false haveUsage: false accept: application/json x-ncp-iam-access-key: cPMl0CYGgRYvEa8sylCj x-ncp-apigw-signature-v2: nn6HxvbYlXzuDBLYG8qNdz4Z7Y6qs+l5EX8BmGwI/EI= x-ncp-apigw-timestamp: 1551436817715 ``` ### Example response ``` { "defaultRanking": { "name": "clous", "code": "_ratio=0.5;\n_quality=1.0;\n_similarity=qds;\n_relevance = _similarity * _ratio + _quality * (1 - _ratio); \n\n" }, "list": [ { "name": "clous", "modifyDate": "2019-03-12 11:43:55" }, { "name": "default", "modifyDate": "2019-03-12 11:43:55" }, { "name": "test", "modifyDate": "2019-09-26 18:00:13" }, { "name": "test44", "modifyDate": "2019-09-26 21:19:11" } ] } ```